# gmk_sym

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILE FORMAT
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

gmk_sym − create rectangular symbols for gschem from a text file

## SYNOPSIS

gmk_sym [ -d ] inputfile.txt > outputfile.sym

gmk_sym -h|-?

## DESCRIPTION

gmk_sym is a program to create rectangular symbols for gschem from a file composed of comma separated lines.

## OPTIONS

| −d |  | Turn on debug output |
| −h, −? |  | Display usage information |

## FILE FORMAT

The input file format is:

| • |  | lines starting with ’;’ are comment lines and are not processed;
| • |  | The 1st valid line describes a device:

•

|  |  | 1st value: device name
| • |  | 2nd value: visible name
| • |  | 3rd value: visible name location on package
| • |  | 4th value: box’s hoz size, in pins spacings
| • |  | 5th value: box’s ver size, in pins spacings
| • |  | 6th value: uref prefix, like U or J
| • |  | 7th value: Footprint
| • |  | 8th value: Total number of pins on device (including hidden)
| • |  |

All other valid lines describes the symbol’s pins:

| • |  | 1st value: pin name
| • |  | 2nd value: pin number
| • |  | 3rd value: pin shape, choice of: line, clock, dot&line
| • |  | 4th value: side of box to attach the pin,choice of: R, L, T, B
| • |  | 5th value: location of pin on side of box, in pin spacings
| • |  | 6th value: (optional) pin type attribute: in, out, io, oc, oe, pas, tp, tri, clk, pwr

## AUTHOR

Jerry O’Keefe <jerryok@pacbell.net>

## SEE ALSO

gschem(1)

## COPYRIGHT

Copyright © 1999-2011 gEDA Contributors. License GPLv2+: GNU GPL
version 2 or later. Please see the ‘COPYING’ file included with this
program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.